AV1LrPickStruct Struct Reference

Structure to hold search parameter per restoration unit and intermediate buffer of Wiener filter used in pick filter stage of Loop restoration. More...

`#include <encoder.h>`

## Data Fields

RestUnitSearchInfo * | rusi [3]
int16_t * | dgd_avg

## Detailed Description

Structure to hold search parameter per restoration unit and intermediate buffer of Wiener filter used in pick filter stage of Loop restoration.

## Field Documentation

## rusi

RestUnitSearchInfo* AV1LrPickStruct::rusi[3]

Array of pointers to 'RestUnitSearchInfo' which holds data related to restoration types.

## dgd_avg

int16_t* AV1LrPickStruct::dgd_avg

Buffer used to hold dgd-avg data during SIMD call of Wiener filter.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h